Discards the values which pass a test. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Similar: [map], [filter], [reject], [reduce], [accumulate].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
iterable.reject(x, ft);
// x:  an iterable
// ft: test function (v, i, x)
```

```javascript
const iterable = require('extra-iterable');

var x = [1, 2, 3, 4, 5];
[...iterable.reject(x, v => v % 2 === 1)];
// [ 2, 4 ]

[...iterable.reject(x, v => v % 2 === 0)];
// [ 1, 3, 5 ]
```

### references

- [Data.List.filter: Haskell](https://hackage.haskell.org/package/base-4.12.0.0/docs/Data-List.html#v:filter)
- [Array.prototype.filter: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/filter)
- [iterable_filter: PHP](https://www.php.net/manual/en/function.iterable-filter.php)

[map]: https://github.com/nodef/extra-iterable/wiki/map
[filter]: https://github.com/nodef/extra-iterable/wiki/filter
[reduce]: https://github.com/nodef/extra-iterable/wiki/reduce
[accumulate]: https://github.com/nodef/extra-iterable/wiki/accumulate
[:running:]: https://npm.runkit.com/@extra-iterable/reject
[:package:]: https://www.npmjs.com/package/@extra-iterable/reject
[:moon:]: https://www.npmjs.com/package/@extra-iterable/reject.min
[:ledger:]: https://unpkg.com/@extra-iterable/reject/
[reject]: https://github.com/nodef/extra-iterable/wiki/reject
[:vhs:]: https://asciinema.org/a/339802
